﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Projects.aspx.cs" EnableViewState="false" Inherits="JitbitCRM.Projects" MasterPageFile="JitbitCRMMaster.Master" %>
<%@ Import Namespace="JitbitCRM.BusinessLayer" %>

<asp:Content ContentPlaceHolderID="tabmenu2" runat="server">
<li><a href='ProjectEdit.aspx' style="float:left"><asp:Label id="lnkNewProject" runat="server" enableviewstate="False">Add project...</asp:Label></a></li>
<li id="lnkShowClosed" runat="server" enableviewstate="false"><a href="Projects.aspx?ShowClosed=1">Show closed</a></li>
<li id="lnkShowOpen" runat="server" enableviewstate="false"><a href="Projects.aspx">Show open</a></li>
</asp:Content>


<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">

<div id="leftsidebar">
	<div class="outerroundedbox lightbg">
		<h4><asp:label ID="lblTags" runat="server">Tags:</asp:label></h4>
		<div id="tdTags" runat="server">
			<span id="spanNoTags" runat="server" class="grey">No tags found</span>
		</div>
		<a href="Projects.aspx" class="grey" id="lnkShowAll" runat="server">show all</a>
	</div>		
	<div class="outerroundedbox lightbg grey">
		<a runat="server" id="lnkAssignedToMe">show projects assigned to me</a>
	</div>
</div>
<div  id="maintable">

<!--list of projects-->
<asp:Repeater ID="rptProjects" runat="server" EnableViewState="false">
<HeaderTemplate>
<table id="tblProjects" class="lightbg outerroundedbox horizseparated" width="100%" style="width:100%" cellpadding="7">
<tr><th>Name</th><th>Last updated</th><th>Assigned to</th><th class="zeroverticalpadding" align="center" style="width:19px"><input type="checkbox" name="cbDelAll" id="cbDelAll" onclick="CheckUnchekAll();" /></th></tr>
</HeaderTemplate>
<ItemTemplate>
	<tr <%# Container.ItemType == ListItemType.AlternatingItem ? " class='alternativeLightbg'" : "" %>>
	<td><a href="ProjectView.aspx?ProjectID=<%# Eval("ProjectID") %>"><%# Eval("Name") %></a></td>
	<td class="grey"><b><%# Eval("LatestNoteDate")%></b>: <%# Eval("LatestNote").ToString().TruncateAtWord(30) %></td>
	<td><a href="ViewUser.aspx?UserID=<%# Eval("UserID" )%>"><%# Eval("AssigneeUsername")%></a></td>
	<td><input type="checkbox" name='cbDel<%# Eval("ProjectID") %>' value="1" /></td>
	</tr>
</ItemTemplate>
<FooterTemplate><tr><tfoot><td class="gradientbg" colspan="3"><%# _pagerString %></td>
<td class="gradientbg"><a href="javascript:void(0)" onclick="DeleteSelected();" title="Delete selected"><img src="images/delete.png" alt="delete" /></a></td></tr></tfoot></table></FooterTemplate>
</asp:Repeater>

<div class="grey" style="margin-bottom:10px">
<p>"Projects/Deals" - are things you do for your customers.</p>
<p>For example, if you're building a web-site for "Acme Inc" for $2000 -
create a project named "Acme Website", set its value to "$2000", and attach any notes to the project.</p>
<p>It can be a deal or a contract... Anything with a "value". For instance "shipping 200 units to Europe" can also be a "project/deal".</p>
</div>


</div>
<div class="clearfix"></div>


<%--ivisible btns--%>
<asp:Button ID="btnDel" style="display:none" runat="server" OnClick="btnDel_Click" EnableViewState="false"></asp:Button>

<script type="text/javascript">
	function CheckUnchekAll() {
		var chk = false;
		if (document.getElementById("cbDelAll").checked)
			chk = true;
		$("INPUT[type='checkbox'][@id ^= 'cbDel' ]").attr('checked', chk);
	}
	function DeleteSelected() {
		if (!confirm("Are you sure you want to delete the selected entries?")) return;
		$("#<%= btnDel.ClientID %>").click();
	}
</script>

</asp:Content>