﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Projects.ascx.cs" Inherits="JitbitCRM.Projects1" %>

<button type="button" onclick="document.location='ProjectEdit.aspx?<%= this.EntityType == JitbitCRM.BusinessLayer.EntityType.Company ? "CompanyID=" : "ContactID=" %><%= this.EntityId %>'">Create a project...</button>
<button type="button" class="graybutton" onclick="$('#divAdd').slideToggle();$(this).hide();">Add to existing project...</button>

<asp:UpdatePanel ID="updProjects" runat="server" RenderMode="Inline"><ContentTemplate>
<span id="divAdd" style="display:none;margin-top:5px">
	<asp:TextBox ID="tbAddNew" runat="server" Text="type for suggestions" style="color:Silver" onfocus="this.value='';this.style.color='Black';"></asp:TextBox>
	<asp:Button ID="btnAdd" runat="server" EnableViewState="false" OnClick="btnAdd_Click" class="bluebutton" Text="+" />
	<input type="hidden" id="inputAddProject" name="inputAddProject" />
</span>
<asp:Repeater ID="rptProjects" EnableViewState="false" runat="server">
<HeaderTemplate>
<br />
<table cellpadding="5"><tr><td style="padding-left:0"><h3>Already involved in projects:</h3></td><td></td></tr>
</HeaderTemplate>

<ItemTemplate><tr><td style="padding-left:0"><a href="ProjectView.aspx?ProjectID=<%# Eval("ProjectID") %>"><%# Eval("Name") %></a></td><td class="grey"><%# ((decimal)Eval("Value")).ToString("0.00") %></td></tr></ItemTemplate>

<FooterTemplate><tr><td class="grey" style="padding-left:0">Total projects value:</td><td class="grey"><%= TotalValue.ToString("0.00") %></td></tr></table></FooterTemplate>
</asp:Repeater></ContentTemplate></asp:UpdatePanel>

<br />
<p class="grey">Projects - is something you do for your customers. For example, you're building a web-site for "Acme Motorcycles" for $2000 -
create a project named "New Website Design" with a value set to "$2000", and attach any notes about the website to the project.</p>


<script type="text/javascript">
	function AttachAutoComplete() {
		$('#<%= tbAddNew.ClientID %>').autocomplete({
			source: 'ajaxprojectsautocomplete.ashx',
			select: function (event, ui) {
				$('#inputAddProject').val(ui.item.id);
			}
		});
	}
	$(document).ready(AttachAutoComplete);
	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(AttachAutoComplete);
</script>